## net.sourceforge.pmd
Class ExcludeLines

    java.lang.Object
      net.sourceforge.pmd.ExcludeLines

public class ExcludeLines
extends java.lang.Object

Field Summary
`static java.lang.String` `EXCLUDE_MARKER`

Constructor Summary
`ExcludeLines(java.io.Reader r)`
`ExcludeLines(java.io.Reader r, java.lang.String marker)`

Method Summary
`java.io.Reader` `getCopyReader()`
`java.util.Set` `getLinesToExclude()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EXCLUDE_MARKER

    public static final java.lang.String EXCLUDE_MARKER

See Also:
  Constant Field Values

Constructor Detail

### ExcludeLines

    public ExcludeLines(java.io.Reader r,
                        java.lang.String marker)
                 throws java.io.IOException

### ExcludeLines

    public ExcludeLines(java.io.Reader r)
                 throws java.io.IOException

Method Detail

### getCopyReader

    public java.io.Reader getCopyReader()

### getLinesToExclude

    public java.util.Set getLinesToExclude()

Copyright © 2002-2006 InfoEther. All Rights Reserved.